Bug 1717069 - Unable to retrieve gpg_keys through Capsule
Summary: Unable to retrieve gpg_keys through Capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Jonathon Turel
QA Contact: Lai
URL:
Whiteboard:
: 1709927 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-04 16:07 UTC by Brad Buckingham
Modified: 2019-10-22 12:47 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.3-11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1726824 1756052 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25823 Normal Closed Unable to retrieve gpg_keys through smart proxy 2019-12-12 09:58:26 UTC
Red Hat Knowledge Base (Solution) 4214841 Troubleshoot None Installing packages through Red Hat Satellite Capsule fails with error "GPG Key retrieval failed: [Error 14] HTTPS Error... 2019-06-12 03:15:28 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:46 UTC

Description Brad Buckingham 2019-06-04 16:07:35 UTC
"puppet-foreman_proxy_content/PR 181":https://github.com/theforeman/puppet-foreman_proxy_content/pull/181 which is in response to #24316 has caused unintended problems.

GPG urls returned by candlepin in `/rhsm/consumers/<id>` contain "../../katello/api/repositories/<id>/gpg_key_content".  When retrieving these directly from a katello server there is no problem.  Trying to retrieve the URL using a smart proxy as a reverse proxy fails because of PR 181.

https://katello.example.net/katello/api/repositories/<id>/gpg_key_content = HTTP 200
https://katello-proxy.example.net/katello/api/repositories/<id>/gpg_key_content = HTTP 404

I would submit a PR but I do not what the plan is for the v1/v2 APIs going forward.

If v1/v2 should both remain supported then PR 181 should have added v2 URL support, not replaced v1.  If the plan is to deprecate the v1 API then some other work has to be done.  Candlepin seems to store the gpgUrl internally and any repo created pre (well I'm not sure which version exactly, but my repos were created in katello 3.4 and upgraded through to 3.9) will have to be updated from katello to candlepin.  Rake task?  Part of 30-upgrade.rb?

Comment 1 Brad Buckingham 2019-06-04 16:07:37 UTC
Created from redmine issue https://projects.theforeman.org/issues/25823

Comment 2 Brad Buckingham 2019-06-04 16:07:43 UTC
Upstream bug assigned to jturel@redhat.com

Comment 10 Brad Buckingham 2019-09-18 13:07:44 UTC
*** Bug 1709927 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2019-10-22 12:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.